Get elements by tag

View as Markdown
Gets Postman elements (entities) by a given tag. Tags enable you to organize and search [workspaces](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/managing-workspaces/#tagging-a-workspace), [APIs](https://learning.postman.com/docs/designing-and-developing-your-api/managing-apis/#tagging-apis), and [collections](https://learning.postman.com/docs/collections/using-collections/#tagging-a-collection) that contain shared tags. **Note:** Tagging is available on Postman [**Solo**, **Team**, and **Enterprise** plans](https://www.postman.com/pricing/).

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

slugstringRequiredformat: "^[a-z][a-z0-9-]*[a-z0-9]+$"2-64 characters

The tag’s ID within a team or individual (non-team) user scope.

Query parameters

limitintegerOptional<=50Defaults to 10
The maximum number of tagged elements to return in a single call.
directionenumOptionalDefaults to desc

The ascending (asc) or descending (desc) order to sort the results by, based on the time of the entity’s tagging.

Allowed values:
cursorstringOptionalformat: "base64"
The cursor to get the next set of results in the paginated response. If you pass an invalid value, the API only returns the first set of results.
entityTypeenumOptional
Filter results for the given entity type.
Allowed values:

Response

Successful Response
dataobject
An object containing the paginated elements.
metaobject
The response's pagination information.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error